[arch-commits] Commit in ilmbase/repos (5 files)

Christian Hesse eworm at archlinux.org
Mon Jun 25 07:35:14 UTC 2018


    Date: Monday, June 25, 2018 @ 07:35:13
  Author: eworm
Revision: 327540

archrelease: copy trunk to testing-x86_64

Added:
  ilmbase/repos/testing-x86_64/
  ilmbase/repos/testing-x86_64/PKGBUILD
    (from rev 327539, ilmbase/trunk/PKGBUILD)
  ilmbase/repos/testing-x86_64/ilmbase-1.0.3-pkgconfig.patch
    (from rev 327539, ilmbase/trunk/ilmbase-1.0.3-pkgconfig.patch)
  ilmbase/repos/testing-x86_64/ilmbase-2.0.1-no_undefined.patch
    (from rev 327539, ilmbase/trunk/ilmbase-2.0.1-no_undefined.patch)
  ilmbase/repos/testing-x86_64/ilmbase-IexMath.patch
    (from rev 327539, ilmbase/trunk/ilmbase-IexMath.patch)

----------------------------------+
 PKGBUILD                         |   44 +++++++++++++++++++++++++++++++++++++
 ilmbase-1.0.3-pkgconfig.patch    |    8 ++++++
 ilmbase-2.0.1-no_undefined.patch |   24 ++++++++++++++++++++
 ilmbase-IexMath.patch            |   12 ++++++++++
 4 files changed, 88 insertions(+)

Copied: ilmbase/repos/testing-x86_64/PKGBUILD (from rev 327539, ilmbase/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2018-06-25 07:35:13 UTC (rev 327540)
@@ -0,0 +1,44 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=ilmbase
+pkgver=2.2.1
+pkgrel=4
+depends=('gcc-libs' 'glu')
+pkgdesc="Base libraries from ILM for OpenEXR"
+arch=(x86_64)
+url="http://www.openexr.com"
+license=('custom')
+source=(http://download.savannah.nongnu.org/releases/openexr/$pkgname-$pkgver.tar.gz
+        ilmbase-2.0.1-no_undefined.patch
+        ilmbase-1.0.3-pkgconfig.patch)
+sha256sums=('cac206e63be68136ef556c2b555df659f45098c159ce24804e9d5e9e0286609e'
+            'ac295811a586dbd1d2ec3fa5dcb40580722b1c97523ff64dfcbd8c7bfaa93aa5'
+            'e1050e564987df31a2ed83218c7aa62486b8c117179b0184933c92172eba9bda')
+
+prepare() {
+  cd "${srcdir}/$pkgname-$pkgver"
+  # patches from fedora
+  patch -p1 -i ../ilmbase-2.0.1-no_undefined.patch
+  patch -p1 -i ../ilmbase-1.0.3-pkgconfig.patch
+}
+
+build() {
+  cd "${srcdir}/$pkgname-$pkgver"
+  ./configure --prefix=/usr
+  # manually set PTHREAD_LIBS to include -lpthread until libtool bogosity is fixed,
+  # https://bugzilla.redhat.com/show_bug.cgi?id=661333
+  make PTHREAD_LIBS="-pthread -lpthread"
+}
+
+check() {
+  cd "${srcdir}/$pkgname-$pkgver"
+  # one of the tests fails randomly for an unknown reason
+  make check || true
+}
+
+package() {
+  cd "${srcdir}/$pkgname-$pkgver"
+  make DESTDIR="${pkgdir}" install
+  install -D -m644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+}

Copied: ilmbase/repos/testing-x86_64/ilmbase-1.0.3-pkgconfig.patch (from rev 327539, ilmbase/trunk/ilmbase-1.0.3-pkgconfig.patch)
===================================================================
--- testing-x86_64/ilmbase-1.0.3-pkgconfig.patch	                        (rev 0)
+++ testing-x86_64/ilmbase-1.0.3-pkgconfig.patch	2018-06-25 07:35:13 UTC (rev 327540)
@@ -0,0 +1,8 @@
+diff -up ilmbase-1.0.3/IlmBase.pc.in.pkgconfig ilmbase-1.0.3/IlmBase.pc.in
+--- ilmbase-1.0.3/IlmBase.pc.in.pkgconfig	2012-07-17 18:27:25.000000000 -0500
++++ ilmbase-1.0.3/IlmBase.pc.in	2012-09-08 11:11:15.913468312 -0500
+@@ -9,3 +9,4 @@ Description: Base math and exception lib
+ Version: @ILMBASE_VERSION@
+ Libs: -L${libdir} -lImath -lHalf -lIex -lIexMath -lIlmThread @PTHREAD_LIBS@
+ Cflags: @PTHREAD_CFLAGS@ -I${OpenEXR_includedir}
++Requires.private: gl glu

Copied: ilmbase/repos/testing-x86_64/ilmbase-2.0.1-no_undefined.patch (from rev 327539, ilmbase/trunk/ilmbase-2.0.1-no_undefined.patch)
===================================================================
--- testing-x86_64/ilmbase-2.0.1-no_undefined.patch	                        (rev 0)
+++ testing-x86_64/ilmbase-2.0.1-no_undefined.patch	2018-06-25 07:35:13 UTC (rev 327540)
@@ -0,0 +1,24 @@
+diff -up ilmbase-2.0.1/IlmThread/Makefile.am.no_undefined ilmbase-2.0.1/IlmThread/Makefile.am
+--- ilmbase-2.0.1/IlmThread/Makefile.am.no_undefined	2013-06-18 14:51:38.000000000 -0500
++++ ilmbase-2.0.1/IlmThread/Makefile.am	2013-08-28 21:04:25.793391766 -0500
+@@ -14,7 +14,7 @@ libIlmThread_la_LDFLAGS = -version-info
+ if LIB_SUFFIX_EXISTS
+ libIlmThread_la_LDFLAGS += -release @LIB_SUFFIX@
+ endif
+-libIlmThread_la_LIBADD = ../Iex/libIex.la
++libIlmThread_la_LIBADD = ../Iex/libIex.la $(PTHREAD_LIBS)
+ 
+ libIlmThreadincludedir = $(includedir)/OpenEXR
+ 
+diff -up ilmbase-2.0.1/IlmThread/Makefile.in.no_undefined ilmbase-2.0.1/IlmThread/Makefile.in
+--- ilmbase-2.0.1/IlmThread/Makefile.in.no_undefined	2013-06-18 14:55:24.000000000 -0500
++++ ilmbase-2.0.1/IlmThread/Makefile.in	2013-08-28 21:04:55.395049371 -0500
+@@ -253,7 +253,7 @@ libIlmThread_la_SOURCES = IlmThreadPool.
+ 
+ libIlmThread_la_LDFLAGS = -version-info @LIBTOOL_VERSION@ \
+ 	-no-undefined $(am__append_1)
+-libIlmThread_la_LIBADD = ../Iex/libIex.la
++libIlmThread_la_LIBADD = ../Iex/libIex.la $(PTHREAD_LIBS)
+ libIlmThreadincludedir = $(includedir)/OpenEXR
+ libIlmThreadinclude_HEADERS = IlmThreadPool.h IlmThread.h \
+ 			      IlmThreadSemaphore.h IlmThreadMutex.h \

Copied: ilmbase/repos/testing-x86_64/ilmbase-IexMath.patch (from rev 327539, ilmbase/trunk/ilmbase-IexMath.patch)
===================================================================
--- testing-x86_64/ilmbase-IexMath.patch	                        (rev 0)
+++ testing-x86_64/ilmbase-IexMath.patch	2018-06-25 07:35:13 UTC (rev 327540)
@@ -0,0 +1,12 @@
+--- IexMath/IexMathFpu.cpp.orig	2012-07-26 20:51:55.000000000 +0200
++++ IexMath/IexMathFpu.cpp	2012-10-04 15:30:47.000000000 +0200
+@@ -27,8 +27,7 @@
+ #endif
+ 
+ 
+-#ifdef HAVE_UCONTEXT_H
+-
++#if defined(HAVE_UCONTEXT_H) && (defined(x86_64) || defined(i386_))
+ 
+ #include <ucontext.h>
+ #include <signal.h>



More information about the arch-commits mailing list